Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 275714 - dev-cpp/gccxml doesn't work with g++-4.3.3
Summary: dev-cpp/gccxml doesn't work with g++-4.3.3
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Development (show other bugs)
Hardware: AMD64 Linux
: High normal (vote)
Assignee: C++ Team [disbanded]
URL: http://public.kitware.com/Bug/print_b...
Whiteboard:
Keywords:
Depends on: 424743
Blocks:
  Show dependency tree
 
Reported: 2009-06-28 17:31 UTC by Gert Wollny
Modified: 2012-10-18 19:21 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Add the missing function definition (gccxml-0.9-gcc433.patch,303 bytes, patch)
2009-06-28 17:33 UTC, Gert Wollny
Details | Diff
The ebuld that uses the patch (gccxml-0.9.0_pre20090516-r1.ebuild,1.17 KB, text/plain)
2009-06-28 17:33 UTC, Gert Wollny
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gert Wollny 2009-06-28 17:31:55 UTC
Errors like this are produced
$> gccxml foo.h
In file included from /usr/include/stdio.h:906,
                 from foo.h:1:
/usr/include/bits/stdio2.h: In function 'int sprintf(char*, const char*, ...)':
/usr/include/bits/stdio2.h:35: error: '__builtin_va_arg_pack' was not declared in this scope
/usr/include/bits/stdio2.h: In function 'int snprintf(char*, size_t, const char*, ...)':
/usr/include/bits/stdio2.h:66: error: '__builtin_va_arg_pack' was not declared in this scope
/usr/include/bits/stdio2.h: In function 'int fprintf(FILE*, const char*, ...)':
/usr/include/bits/stdio2.h:99: error: '__builtin_va_arg_pack' was not declared in this scope
/usr/include/bits/stdio2.h: In function 'int printf(const char*, ...)':
/usr/include/bits/stdio2.h:105: error: '__builtin_va_arg_pack' was not declared in this scope
/usr/include/bits/stdio2.h: In function 'int asprintf(char**, const char*, ...)':
/usr/include/bits/stdio2.h:159: error: '__builtin_va_arg_pack' was not declared in this scope
/usr/include/bits/stdio2.h: In function 'int __asprintf(char**, const char*, ...)':
/usr/include/bits/stdio2.h:167: error: '__builtin_va_arg_pack' was not declared in this scope
/usr/include/bits/stdio2.h: In function 'int dprintf(int, const char*, ...)': 

Reproducible: Always

Steps to Reproduce:
Compile the Insight Toolkit with python wrapping support 
Actual Results:  
Doesn't compile

Expected Results:  
Compile
Comment 1 Gert Wollny 2009-06-28 17:33:27 UTC
Created attachment 195961 [details, diff]
Add the missing function definition 

That segment was scraped from
https://bugs.launchpad.net/ubuntu/+source/gccxml/+bug/293807 [^]
Comment 2 Gert Wollny 2009-06-28 17:33:59 UTC
Created attachment 195962 [details]
The ebuld that uses the patch
Comment 3 Lars Wendler (Polynomial-C) gentoo-dev 2009-07-04 15:09:58 UTC
Please attach unified diffs (diff -u) when you did changes to an ebuild. That would be much more handy for our devs.
Comment 4 Tom Prince 2009-12-10 04:00:56 UTC
This appears to be fixed in current CVS.